> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Monitor Process Retry

> Retry a failed monitor processing run.



## OpenAPI

````yaml en-openapi POST /monitors/process/retry
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /monitors/process/retry:
    post:
      tags:
        - Monitor
      summary: Retry processing a monitor
      description: Retry a failed monitor processing run.
      operationId: monitors_process_retry
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                monitor_id:
                  type: string
                  format: uuid
                  description: Unique identifier of the monitor.
                monitor_log_id:
                  type: string
                  format: uuid
                  description: Unique identifier of the monitor log entry to retry.
                is_use_original_destination:
                  type: boolean
                  description: >-
                    When true, uses the destination configuration snapshot from
                    the original log entry instead of the current monitor
                    config.
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              required:
                - monitor_id
                - monitor_log_id
      responses:
        '200':
          description: Successful response containing the retry execution results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      monitor_id:
                        type: string
                        format: uuid
                        description: Identifier of the monitor.
                      delivery_result:
                        type: object
                        properties:
                          is_success:
                            type: boolean
                            description: Whether the delivery was successful.
                          error_message:
                            type: string
                            nullable: true
                            description: Error message if delivery failed.
                          response_status_code:
                            type: integer
                            description: HTTP status code from the destination.
                          response_payload:
                            type: string
                            description: Response body from the destination.
                          retry_attempt:
                            type: integer
                            description: Retry attempt number.
                        description: Details of the delivery result.
                      total_credit:
                        type: integer
                        description: Total credits consumed.
                      processing_time_ms:
                        type: integer
                        description: Total processing time in milliseconds.
              example:
                data:
                  monitor_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                  delivery_result:
                    is_success: true
                    error_message: null
                    response_status_code: 200
                    response_payload: ...
                    retry_attempt: 0
                  total_credit: 59
                  processing_time_ms: 7541
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````